;
;	       		DISPLAY NUMBERS - LIBRARY
;		written by Sam Davies and Andreas Ess for
;				USGARD
;
;Displib.h provides several ways to display number in hexadecimal, decimal
;and binary format, in normal text as well as in menu style.
;
;REQUIREMENTS:
;none.
;
DISPLIB = 6

;All registers are preserved except AF
D_SET = 0		;A = 0 -> menustyle, A = 1 -> normal text
D_A_DEC = 1		;Display A DECimal
D_A_HEX = 2		;Display A HEXadecimal
D_A_BIN = 3		;Display A BINary
D_HL_DEC = 4		;Display HL DECimal
D_HL_HEX = 5		;Display HL HEXadecimal
D_HL_BIN = 6		;Display HL BINary
D_A = 7			;Display A in current MODE(Oct = character), B destroyed
			;to set the mode in your programs use IY+0A:
			; bits 4-2: 	100= Bin \
			;		010= Oct  \_ number OCT = CHAR
			;		001= Hex  /  bases
			;		000= Dec /
D_HL = 8		;Display HL in current MODE(Oct not supported), B destroyed
D_HL_SIGN = 9		;Display HL as signed decimal number.
D_GET = 10		;A = current mode(0 = menustyle, 1 = normal text)
D_A_ALPHA = 11          ;Print A character fixed width. (same as TX_CHARPUT
                        ;if in normal text mode.
